html,
body {
   height: 100%;
   width: 100%;
   margin: 0;
   padding: 0;
   display: flex;
   align-items: center;
   justify-content: center;
   background-color: rgb(0, 0, 0);
   color: #ffffff;
}

#theframe {
    position: absolute;
    width: 100%;
    height: 100%;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    max-width: 100%;
    max-height: 100%;
}

#container1 {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    max-width: 100%;
    max-height: 100%;
}
/* Schmaler als 1024px: quadratisch */
@media (max-width: 800px) {
    #container1 {
        width: 100%;
        height: 100%;
        aspect-ratio: 1 / 1;
    }

}
/* Breiter als 1024px: aspect-ratio 4/5 */
@media (min-width: 800px) {
    #container1 {
        height: 100%;
        aspect-ratio: 4 / 5;
    }
}
/* Hochkant auf Monitor: fullscreen und fullheight */
@media (orientation: portrait) {
    #container1 {
        width: 100%;
        height: 100%;
    }
}
#container2 {
   position: absolute;
   top: 0;
   left: 0;
   width: 100%;
    height: 100%;
    z-index: 20;
    overflow: hidden;
}
.container {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-flow: column wrap;
}
.the-frame {
    position: relative;
    display: flex;
    flex-direction: row;
}
.hash-stack {
    display: flex;
    align-items: center;
    flex-direction: column;
}
#hash-stack-left,
#hash-stack-right {
    justify-content: right;
    transform: rotate3d(0, 0, 10, 0deg);
}
#stack-center {
    z-index: -10;
    width: 50%;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    flex-direction: column;
}
@keyframes fadeAndMove {
    0% {
        opacity: 0;
        top: 0;
    }
    50% {
        opacity: 1;
    }
    100% {
        opacity: 0;
        top: 100%;
    }
}
.stack-circle {
    width: 2rem;
    height: 2rem;
    border-radius: 50%;
    border: #ffffff 1px solid;
    display: flex;
    align-items: flex-start;
    justify-content: center;
    position: absolute;
    top: 0;
    left: calc(50% - 1rem);
    animation: fadeAndMove 15s infinite linear;
}
.bottom {
    display: flex;
    align-items: center;
    justify-content: center;
}
.element {
    width: 24vmin;
    height: 0.5vmin;
    margin-bottom: 0.5vmin;
    border: 1px solid rgba(255, 255, 255, 0.1);
    transform: rotate3d(0, 0, -10, 0deg);
    background-color: rgba(0, 0, 0, 0);
    position: relative;
}

.black-border {
    border: 1px solid rgba(0, 0, 0, 0.5);
}
.white-border {
    border: 1px solid rgba(255, 255, 255, 0.5);
}   

/* Schmaler als 1024px: quadratisch */
@media (max-width: 1024px) {
    .element {
        /* height: 0.75vmin;
        margin-bottom: 1vmin; */
    }
}
.circle {
    width: 100px;
    height: 100px;
    border: 1px solid #fff;
    border-radius: 50%;
}
@keyframes moveAndFade {
    0% {
        top: 10px;
        opacity: 0;
    }
    50% {
        top: 50px;
        opacity: 1;
    }
    100% {
        top: 70px;
        opacity: 0;
    }
}
.box {
    position: absolute;
    width: 0.25vmin;
    height: 0.5vmin;
    /* background-color: rgba(255, 255, 255, 0.1); */
    /* border: 0.5px solid #00ff00; */
    animation: moveAndFade 10s infinite;
}

@media (max-width: 900px) {
    .box{
        width: 0.5vmin;
        height: 0.75vmin;
    }
}